#ifndef _tools

#define _tools

#include <stdlib.h> 

#include <array.h> 

#include <text.h> 

#include <string.h>

#include <variable.h>  

char * tools_findDatatype( struct array * variableDeclarationParts );

int tools_findArgumentCloseIndexReverse( char * body, int fromKey );


char * tools_removePointerSymbolFromDatatype( char * returnType, int * leftSideIsPointer );



#endif